
@media (max-width: 55em) {
  .main-header {
    background-color: var(--card-bg);
    padding: 0;
  }
  .header-wrapper {
    position: relative;
    display: flex;
    gap: 1em;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: var(--max-width);
    margin: auto;
    padding: 1em;
    background-color: var(--card-bg);
    box-shadow: var(--glass-shadow-2);
    z-index: 15;
    border: none;
    border-radius:0;
  }
  .nav-toggle {
    display: block;
  }

  .menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    max-width: 18em;
    height: 100vh;
    z-index: 14;
    padding-top: 5.37em;
    transform: translateX(100%);
    transition: transform 0.4s cubic-bezier(0.4, 0, 0.2, 1);
    background-color: var(--card-bg);
    border-left: 1px solid var(--glass-border);
  }

  .menu.active {
    transform: translateX(0);
  }

  .nav-links {
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5em;
    background-color: var(--card-bg);
    border: none;
    margin-top: 2px;
    z-index: 14;
    border-radius: 0 0 0.5em 0.5em;
    padding: 2em 1.5em;
  }

  .nav-links a {
    width: 100%;
    text-align: left;
  }
  .hero-wrapper,
  .about-content,
  .experience-list,
  .contact-content {
    flex-direction: column;
    gap: 2em;
  }
  .hero-badge,
  .hero-content {
    display: flex;
    align-items: center;
    text-align: center;
  }
  .hero-desc {
    width: 100%;
    max-width: 500px;
  }
  .hero-btns > .btn {
    font-size: var(--text-sm);
  }
  .hero-socials {
    display: flex;
    justify-content: center;
  }
  .social-icon {
    padding: 0.2em 0.4em;
  }
  .about-content {
    display: flex;
    flex-direction: column;
  }
  .about-desc {
    text-align: center;
  }
  .exp-top {
    flex-direction: column;
  }
  .exp-date,
  .exp-location {
    text-align: left;
  }
  .exp-right {
    flex-direction: row;
  }
  .skills-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1em;
  }
  .skill-tags,
  .project-tags {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(130px, 1fr));
    gap: 1em;
  }
  .projects-grid {
    flex-direction: column;
  }
  .project-info {
    padding: 1em;
  }

  .contact-socials {
    flex-wrap: wrap;
  }
  .contact-info-card {
    flex-direction: column;
    text-align: center;
  }
  .footer-social-icon {
    font-size: 1em;
  }
  .footer-parent {
    border-top: 1px solid var(--accent-purple-dark);
    padding: 3em 1em 1em;
  }
  .footer-copy{
    text-align:center;
    font-size:var(--text-xs)
  }
  .footer-copy a{
    color:var(--glass-border);
  }
}

@media (max-width: 30em) {
  .menu {
    width: 80%;
  }
}
